Bug 602224 - (iscsi_reverse_chap) [RFE] Support reverse chap in iSCSI login
[RFE] Support reverse chap in iSCSI login
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
---
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Rob Young
Raz Tamir
: FutureFeature, Improvement, Reopened, Security, StudentProject
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 08:41 EDT by Ayal Baron
Modified: 2018-05-16 06:28 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-16 06:28:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Ayal Baron 2010-06-09 08:41:11 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Petr Matousek 2010-06-09 08:48:52 EDT
ain't this duplicate of #595608?
Comment 2 Ayal Baron 2010-06-09 09:01:48 EDT
Nope.  That one is for GUI to remove the params.
This one is for us to actually support it :)
Comment 3 Petr Matousek 2010-06-09 09:10:13 EDT
(In reply to comment #2)
> Nope.  That one is for GUI to remove the params.
> This one is for us to actually support it :)    

Isn't #595453 for removing it and #595608 for implementing it right?

Don't get me wrong, I don't want to play with words, just would like to track one BZ entry -)
Comment 4 Ayal Baron 2010-06-09 10:02:43 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > Nope.  That one is for GUI to remove the params.
> > This one is for us to actually support it :)    
> 
> Isn't #595453 for removing it and #595608 for implementing it right?
Correct, I didn't see the first one, but in any event 595608 is for GUI.  Once GUI passes the params to backend (different component), backend would still have to pass them to vdsm (another component) which would have to actually handle the reverse chap.  So all in all, there should be 3 BZs for this RFE, this one being the first, the backend one depending on it and the GUI one depending on the backend BZ.
For anything we don't mean to implement anytime soon we have a single BZ on the RFEs component.
> 
> Don't get me wrong, I don't want to play with words, just would like to track
> one BZ entry -)
Comment 5 Petr Matousek 2010-06-09 11:06:17 EDT
> So all in all, there should be 3 BZs for this RFE, this one being the first,  
> the backend one depending on it and the GUI one depending on the backend BZ.

fair enough
Comment 6 Yaniv Kaul 2012-03-19 08:24:04 EDT
Setting as StudentProject - while not very complex, requires changes in several component (VDSM, core engine, API, UI).
I believe just VDSM support is a great student level project.
Comment 7 Itamar Heim 2012-12-10 14:10:48 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 11 Doron Fediuck 2018-05-16 06:28:24 EDT
Closing old bugs.
If needed please reopen and explain why.

Note You need to log in before you can comment on or make changes to this bug.